# AWS Infrastructure Engineer Assessment

## Goals

Create a [Terraform](terraform.io/) configuration that will:

* Provision a pool of micro EC2 servers running Ubuntu 22.04
* The servers should be placed in an auto-scaling group behind an Application Load Balancer
* The servers should not be directly accessible on any port except TCP/22 for SSH access
* HTTP and HTTPS traffic should only be allowed via the Load Balancer
* Upon first boot, each EC2 server should update itself to the latest packages available in APT

## Getting Started

* Create an account on [https://code.livelike.com](https://code.livelike.com)
* Fork this repository to your account
* When completed, open a Pull Request to this main repository
* Describe the intent of the code and the approach taken in the Pull Request description


## Guidelines

* Be sure to commit any relevant files so that the configuration can be tested as-is by just running `terraform apply`
* Please use `terraform fmt` and `terraform fmt -check` to ensure the Terraform configuration is properly formatted and valid

